<script lang="ts" setup>
defineProps<{
  name: string;
  abv: string;
  unit: string | null;
}>();
</script>

<template>
  <div
    class="p-1 lg:p-3 bg-theme-background-accent rounded-lg shadow hover:ring-2 ring-offset-2 ring-offset-theme-background ring-theme-accent cursor-pointer grid grid-cols-3"
  >
    <div class="mx-3">
      <p class="text-center uppercase text-xl font-medium">{{ abv }}</p>
      <p v-if="unit" class="text-theme-accent text-sm text-center mx-3">
        @ {{ unit }}
      </p>
      <p v-else class="text-sm text-center mx-3">root</p>
    </div>
    <div class="col-span-2 mx-3 flex justify-center items-center">
      <p class="text-center text-xl mx-3">{{ name }}</p>
    </div>
  </div>
</template>

<style scoped></style>
